from tree import RGBXmasTree
from colorzero import Color, Hue
import time, random
# Write your program below

colors = [Color("red"), Color("green"),
          Color("white"), Color("gold")]
interval = 0.1

tree = RGBXmasTree()
starLight = tree.star()
starLight.color = Color("gray")

for light in tree.nonStarLights():
    light.color = random.choice(colors)

while True:
    try:           
        if tree.brightness < 0.5:
            newBrightness = tree.brightness + 2 * tree.brightness ** 2
        else:
            newBrightness = tree.brightness - 2 * (1 - tree.brightness) ** 2

        if newBrightness >= 0.95 or newBrightness <= 0.05:
            tree.brightness = random.random()
        else:
            tree.brightness = newBrightness

        time.sleep(interval)
    except KeyboardInterrupt:
        break

tree.off()

# Write your program above this line
tree.close()